Update party
curl --request PATCH \
--url https://api.natural.com/parties/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"displayName": "Acme Payments Inc."
}
}
}
'import requests
url = "https://api.natural.com/parties/me"
payload = { "data": { "attributes": { "displayName": "Acme Payments Inc." } } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {attributes: {displayName: 'Acme Payments Inc.'}}})
};
fetch('https://api.natural.com/parties/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/parties/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'displayName' => 'Acme Payments Inc.'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/parties/me"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Acme Payments Inc.\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.natural.com/parties/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Acme Payments Inc.\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/parties/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Acme Payments Inc.\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"type": "party",
"attributes": {
"partyType": "ORG",
"legalName": "Acme Payments, Inc.",
"firstName": null,
"lastName": null,
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-15T10:30:00.000Z",
"displayName": "Acme Payments Inc.",
"handle": "@acme",
"avatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"email": "billing@acmepayments.com",
"primaryPhone": "+1-555-555-0100",
"addressLine1": "123 Main Street",
"addressCity": "San Francisco",
"addressState": "CA",
"addressPostalCode": "94105",
"addressCountry": "US",
"createdBy": null
}
}
}Parties
Update party
Change your business party’s display name. A person party’s name comes from its first and last name, and this call does not change it. Agent keys get 403, and in Sandbox API keys also get 403. Returns the Party object.
PATCH
/
parties
/
me
Update party
curl --request PATCH \
--url https://api.natural.com/parties/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"displayName": "Acme Payments Inc."
}
}
}
'import requests
url = "https://api.natural.com/parties/me"
payload = { "data": { "attributes": { "displayName": "Acme Payments Inc." } } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {attributes: {displayName: 'Acme Payments Inc.'}}})
};
fetch('https://api.natural.com/parties/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/parties/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'displayName' => 'Acme Payments Inc.'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/parties/me"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Acme Payments Inc.\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.natural.com/parties/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Acme Payments Inc.\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/parties/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Acme Payments Inc.\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"type": "party",
"attributes": {
"partyType": "ORG",
"legalName": "Acme Payments, Inc.",
"firstName": null,
"lastName": null,
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-15T10:30:00.000Z",
"displayName": "Acme Payments Inc.",
"handle": "@acme",
"avatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"email": "billing@acmepayments.com",
"primaryPhone": "+1-555-555-0100",
"addressLine1": "123 Main Street",
"addressCity": "San Francisco",
"addressState": "CA",
"addressPostalCode": "94105",
"addressCountry": "US",
"createdBy": null
}
}
}Authorizations
Headers
Was this page helpful?